> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Subscription

> Cancel a subscription now or at the end of its current period.



## OpenAPI

````yaml /openapi.json post /v1/orgs/{orgId}/projects/{projectId}/payments/subscriptions/{subscriptionId}/cancel
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/payments/subscriptions/{subscriptionId}/cancel:
    post:
      tags:
        - customerPayments
      summary: Cancel Subscription
      description: Cancel a subscription now or at the end of its current period.
      operationId: customerPayments.cancelSubscription
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: subscriptionId
          in: path
          required: true
          schema:
            type: string
        - name: environment
          in: query
          required: false
          schema:
            type: string
            pattern: ^[a-z][a-z0-9-]{0,38}$
          description: >-
            Environment slug. Defaults to "production"; unknown environment
            slugs return 404.
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              properties:
                atPeriodEnd:
                  type: boolean
              required:
                - atPeriodEnd
              additionalProperties: false
      responses:
        '200':
          description: Updated subscription.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  customerId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                  priceId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                  status:
                    type: string
                    enum:
                      - incomplete
                      - trialing
                      - active
                      - past_due
                      - canceled
                      - unpaid
                  cancelAtPeriodEnd:
                    type: boolean
                  currentPeriodEnd:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - customerId
                  - priceId
                  - status
                  - cancelAtPeriodEnd
                  - currentPeriodEnd
                  - createdAt
                  - updatedAt
        '402':
          description: Organization billing is not active.
        '404':
          description: Project or payment resource not found.
        '409':
          description: Duplicate idempotency key or conflicting resource state.
        '422':
          description: Invalid payment request.
        '502':
          description: The payment processor rejected the request.
        '503':
          description: The payment processor is temporarily unavailable.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````